Buteo Synchronization Framework: Buteo::ServerPlugin Class Reference

Buteo Synchronization Framework

Signals | Public Member Functions | Protected Attributes | List of all members
Buteo::ServerPlugin Class Referenceabstract

Base class for server plugins. More...

`#include <ServerPlugin.h>`

Inheritance diagram for Buteo::ServerPlugin:

## Signals
void | newSession (const QString &aDestination)
| Signal sent when a new sync session is received by the server. More...
Signals inherited from Buteo::SyncPluginBase
void | transferProgress (const QString &aProfileName, Sync::TransferDatabase aDatabase, Sync::TransferType aType, const QString &aMimeType, int aCommittedItems)
| Emitted when progress has been made in synchronization in transferring items between local and remote database. More...
void | error (const QString &aProfileName, const QString &aMessage, SyncResults::MinorCode aErrorCode)
| Emitted when error has occurred in synchronization and it cannot be continued. More...
void | success (const QString &aProfileName, const QString &aMessage)
| Emitted when synchronization has been finished successfully. More...
void | accquiredStorage (const QString &aMimeType)
| Emitted when a storage is requested and accquired. More...
void | syncProgressDetail (const QString &aProfileName, int aProgressDetail)
| Emitted during Sync Progress to indicate the detail of the current ongoing sync. More...

## Public Member Functions
| ServerPlugin (const QString &aPluginName, const Profile &aProfile, PluginCbInterface *aCbInterface)
| Constructor. More...
virtual | ~ServerPlugin ()
| Destructor.
virtual bool | startListen ()=0
| Start listening for sync requests. More...
virtual void | stopListen ()=0
| Stop listening for sync requests. More...
virtual void | suspend ()=0
| Suspend activity. More...
virtual void | resume ()=0
| Resume suspended activity. More...
Public Member Functions inherited from Buteo::SyncPluginBase
| SyncPluginBase (const QString &aPluginName, const QString &aProfileName, PluginCbInterface *aCbInterface)
| Constructor. More...
QString | getPluginName () const
| Returns the name of this plugin. More...
QString | getProfileName () const
| Returns profile name. More...
virtual bool | init ()=0
| Initializes the plugin. More...
virtual bool | uninit ()=0
| Uninitializes the plugin. More...
virtual void | abortSync (Sync::SyncStatus aStatus=Sync::SYNC_ABORTED)
| Aborts synchronization. More...
virtual bool | cleanUp ()=0
| Cleans up any sync related stuff (e.g sync anchors etc) when the profile is deleted. More...
virtual SyncResults | getSyncResults () const
| Gets the results of the last completed sync session. More...

## Protected Attributes
Profile | iProfile
| Profile Object that the server plugin operates on.
Protected Attributes inherited from Buteo::SyncPluginBase
PluginCbInterface * | iCbInterface
| Pointer to synchronizer.
QMap< QString, ReceivedItemDetails > | receivedItems
ButeoPluginIface * | iOopPluginIface

## Additional Inherited Members
Public Slots inherited from Buteo::SyncPluginBase
virtual void | connectivityStateChanged (Sync::ConnectivityType aType, bool aState)=0
| Slot that is invoked by sync framework when changes occur in connectivity domains. More...

## Detailed Description

Base class for server plugins.

## Constructor & Destructor Documentation

## ◆ ServerPlugin()

ServerPlugin::ServerPlugin | ( | const QString & | aPluginName,
|  | const Profile & | aProfile,
|  | PluginCbInterface * | aCbInterface
| ) |  |

Constructor.

Parameters

  aPluginName | Name of this plugin
  aProfile | Server profile
  aCbInterface | Pointer to the callback interface

## Member Function Documentation

## ◆ newSession

void Buteo::ServerPlugin::newSession | ( | const QString & | aDestination | ) |
| signal

Signal sent when a new sync session is received by the server.

Parameters

  aDestination | Sync destination address, for example BT address or URL.

## ◆ resume()

virtual void Buteo::ServerPlugin::resume | ( |  | ) |
| pure virtual

Resume suspended activity.

Implemented in Buteo::OOPServerPlugin.

## ◆ startListen()

virtual bool Buteo::ServerPlugin::startListen | ( |  | ) |
| pure virtual

Start listening for sync requests.

Init must me called before this function.

Returns
  True on success, otherwise false

Implemented in Buteo::OOPServerPlugin.

## ◆ stopListen()

virtual void Buteo::ServerPlugin::stopListen | ( |  | ) |
| pure virtual

Stop listening for sync requests.

Implemented in Buteo::OOPServerPlugin.

## ◆ suspend()

virtual void Buteo::ServerPlugin::suspend | ( |  | ) |
| pure virtual

Suspend activity.

Implement this if upon being asked to suspend for some reason, any ongoing activity can be suspended

Implemented in Buteo::OOPServerPlugin.

The documentation for this class was generated from the following files:

- ServerPlugin.h
- moc_ServerPlugin.cpp
- ServerPlugin.cpp